/*
 * SPDX-FileCopyrightText: 2023 CERN (home.cern)
 *
 * SPDX-License-Identifier: LGPL-2.1-or-later
 */

/**
 * @file liboattnusb-i.h
 * @brief OASIS USB Attenuator driver library internal definitions
 * @author Tomasz Włostowski <tomasz.wlostowski@cern.ch>
 * @author Juan David Gonzalez Cobas <dcobas@cern.ch>
 */

#ifndef __LIBOATTNUSB_I_H
#define __LIBOATTNUSB_I_H

#define OATTNUSB_VENDOR_ID	0x1556	/* CERN USB Vendor ID */
#define OATTNUSB_DEVICE_ID	0x0443	/* oau USB Device ID */

#define OATTNUSB_FTDI_VENDOR_ID 0x403	/* FTDI Vendor ID */
#define OATTNUSB_FTDI_DEVICE_ID 0x6010	/* FTDI Product ID */

#define	OATTNUSB_MANUFACTURER	"CERN"
#define	OATTNUSB_PRODUCT	"OASIS RF Attenuator"

#define OATTNUSB_MAX_HANDLES	16
#define OATTNUSB_NUM_CHANNELS	 4

#endif /* __LIBOATTNUSB_I_H */
